<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Liste des Garantie</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  <section id="data-thumb-view" class="data-thumb-view-header">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title"></h4>
                </div>
                <div class="card-content">
  
                    <div class="card-body card-dashboard">
  
                        <div class="table-responsive">
                          <a  [routerLink]="['/creation_garantie']" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Nouveau Garantie</a>
  
                            <table class="table zero-configuration table-striped" >
  
                              <thead>
                                <tr>
                                    <th>Nom de Garantie</th>
                                    <th>Niveau garantie</th>
                                    <th>Famille Produit</th>
                                    <th>Montant Assuré</th>
                                    <th>Montant Franchise</th>
                                    <th>ACTION</th>
                                </tr>
                              </thead>
                              <tbody>
                                <tr *ngFor="let g of garantie; index as i">
                                  <td class="product-category">{{g.nom}}</td>
                                  <td class="product-category">{{g.niveau}}</td>

                                  <div  *ngFor="let f of famille">
                                    <div class="product-category" *ngIf="f.id === g.familleproduit ">{{f.nom}}</div>
                                  </div>
                                  <td class="product-category">{{g.montantAssure}}</td>
                                  <td class="product-name">{{g.montantFranchise}}</td>
                              
                                  <td class="product-action">
                                    
                        
                                    <div class="dropdown">
                                     <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                     <div class="dropdown-menu dropdown-menu-right">
                                      <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                         
                                       <a class="dropdown-item" data-toggle="modal"(click)="deletePopup(g.id,g.nom)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                     </div>
                                   </div>
                                   
                                   </td>

                                   <div class="modal modal-danger fade" id="modifier{{i}}">
                                    <div class="modal-dialog " role="document">
                                      <div class="modal-content" style="width:700px">
                                        <div class="modal-header">
                                          <h4 class="modal-title" id="myModalLabel4">Modifier Garantie </h4>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                          
                                          
                                            
                                                            <div class="card-body">
                                                              <form novalidate #f="ngForm" (ngSubmit)="update(f.value)">

                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>{{InvalidFrom}}</span>
                                                                </div>
                                                                  <div class="row">
                                                                    <input type="hidden" class="form-control"  name="id" #id="ngModel" [(ngModel)]="g.id">

                                                                    
                                      
                                      
                                      
                                      
                                                                  <div class="col-6 col-sm-6">
                                                                  <div class="form-group">
                                                  
                                                                    <div class="controls">
                                                                      <label>Nom de Garantie</label>
                                                                      <input type="text" class="form-control" placeholder="Nom de Garantie" name="nom" #nom="ngModel" [(ngModel)]="g.nom"  required>
                                                                    </div>
                                                                    <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                                                                      <i class="feather icon-info mr-1 align-middle"></i>
                                                                      <span>nom Obligatoire</span>
                                                                    </div>
                                                                    </div>
                                                                    </div>
                                      
                                      
                                      
                                                                  </div>
                                                                  <div class="row">
                                                                      <div class="col-12 col-sm-6">
                                                                      
                                                                          <div class="form-group">
                                                                              <label>Nom Famille</label>
                                                                              <select class="form-control" name="familleproduit"  [(ngModel)]="g.familleproduit"  required>
                                                                                <option *ngFor="let f of famille; index as i" value="{{f.id}}">{{f.nom}}</option>   
                                                                              </select>
                                                                            </div>
                                                                            
                                                                            <div class="form-group">
                                                                            <div class="controls">
                                                                              <label>Montant Asurré</label>
                                                                              <input type="text" class="form-control" placeholder="Montant Asurré" name="montantAssure" #montantAssure="ngModel" [(ngModel)]="g.montantAssure"  required>
                                                                            </div>
                                                                            <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="montantAssure.touched && montantAssure.invalid">
                                                                              <i class="feather icon-info mr-1 align-middle"></i>
                                                                              <span>Montant Assuré Obligatoire</span>
                                                                            </div>
                                                                            </div>
                                                                    </div>
                                                                    <div class="col-12 col-sm-6">
                                                                      <div class="form-group">
                                                                      <div class="controls">
                                                                        <label>Niveau de Garantie</label>
                                                                        <input type="text" class="form-control" placeholder="Niveau de Garantie" name="niveau" #niveau="ngModel" [(ngModel)]="g.niveau"  required>
                                                                      </div>
                                                                      <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="niveau.touched && niveau.invalid">
                                                                        <i class="feather icon-info mr-1 align-middle"></i>
                                                                        <span>Niveau Obligatoire</span>
                                                                      </div>
                                                                      </div>
                                                                      
                                                                        <div class="form-group">
                                                                        <div class="controls">
                                                                          <label> Montant Franchise</label>
                                                                          <input type="text" class="form-control" placeholder="Montant Franchise" name="montantFranchise" #montantFranchise="ngModel" [(ngModel)]="g.montantFranchise"  required>
                                                                        </div>
                                                                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="montantFranchise.touched && montantFranchise.invalid">
                                                                          <i class="feather icon-info mr-1 align-middle"></i>
                                                                          <span>Montant Franchise Obligatoire</span>
                                                                        </div>
                                                                      </div>
                                                                    </div>
                                                                  </div>
                                                                  <hr>
                                                           
                                                                    
                                                                      <button type="submit" class="btn btn-primary mr-1 mb-1 waves-effect waves-light"style=" margin-left: 490px;"[disabled]="f.invalid">Modifier Garantie</button>
                                                                     
                                                                 
                                                                </form> 
                                                            </div>
                                                       
                                                
                                  
                                  
                                  
                                        </div>
                                        
                                      
                                      </div>
                                      <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->
                                  </div>

                                </tr>
                               
                           </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- dataTable ends -->
  
    <!-- add new sidebar starts -->
   
  
  
  
    <div class="modal modal-danger fade" id="modal-danger2">
      <div class="modal-dialog " role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title" id="myModalLabel4">Suppression Garantie </h4>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
            <p>
            Voulez vous supprimer Garantie1
            </p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal">Supprimer</button>
          </div>
        
        </div>
        <!-- /.modal-content -->
      </div>
      <!-- /.modal-dialog -->
    </div>
    <!-- add new sidebar ends -->
  </section>
  
  